VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Authentication::Service Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::Service:

## Avaliable Methods
public method | get ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::Service` interface provides methods* to retrieve authentication information of a service element.

A service element is said to contain authentication information if there is a default authentication assigned to all operation elements contained in a service element or if one of the operation elements contained in this service element has authentication information.

Constant String::RESOURCE_TYPE # Resource type for service.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::Service::get | ( |  | ) |

Retrieves authentication information about the service element corresponding to `service_id` .

Parameters

  service_id | [REQUIRED] Identifier of the service element. The value must be an identifier for the resource type getQualifiedName(com.vmware.vapi.service). . The value must be str.

Return values

  The | class Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo instance that corresponds to `service_id` The return type will be Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the service element associated with `service_id` does not have any authentication information.

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $service_id = $args {service_id};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Vapi::Metadata::Authentication::Service::list | ( |  | ) |

Returns the identifiers for the service elements that have authentication information.

Return values

  The | list of identifiers for the service elements that have authentication information. The value will be an identifier for the resource type getQualifiedName(com.vmware.vapi.service). The return type will be Array of str

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Vapi::Metadata::Authentication::Service::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/Service.pm